diff --git a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/lbist_utils.c b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/lbist_utils.c
old mode 100755
new mode 100644
index 4b9da447f4c179a7761b2ae40f6e5f14d8d030d7..31e7a50fff429e2d8345ee2977427bc1205eef2d
--- a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/lbist_utils.c
+++ b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/lbist_utils.c
@@ -782,8 +530,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                     SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "   Secondary core: Sciclient_pmSetModuleState 0x%x ...FAILED \n",
+                    UART_printf("   Secondary core: Sciclient_pmSetModuleState 0x%x ...FAILED \n",
                                 LBIST_TestHandleArray[coreIndex].tisciSecDeviceId);
                     testResult = -1;
                     return testResult;
@@ -791,31 +538,14 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             }
         }
 
-        /**--- Step 5h: Double check LBIST not running ---*/
-        if (testResult == 0)
-        {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Checking that LBIST is not running\n");
-#endif
-            /* Check to make sure LBIST is not running */
-            status = CSL_LBIST_isRunning(pLBISTRegs, &isLBISTRunning);
-            if ( status != CSL_PASS )
-            {
-                AppUtils_Printf(MSG_NORMAL, "\n CSL_LBIST_isRunning failed \n");
-                testResult = -1;
-            }
-        }
-
-        /**--- Step 5i: Power off Secondary core ---*/
+        /**--- Step 3h: Power off Secondary core ---*/
         if (testResult == 0)
         {
             if (LBIST_TestHandleArray[coreIndex].secondaryCoreNeeded)
             {
                 /* Power off Secondary core */
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Secondary core: Powering off %s \n",
+                UART_printf("  Secondary core: Powering off %s \n",
                                 LBIST_TestHandleArray[coreIndex].secCoreName);
 #endif
                 status =  Sciclient_pmSetModuleState(LBIST_TestHandleArray[coreIndex].tisciSecDeviceId,
@@ -824,20 +554,18 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                      SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "   Secondary core: Sciclient_pmSetModuleState:  Power off FAILED \n");
+                    UART_printf("   Secondary core: Sciclient_pmSetModuleState:  Power off FAILED \n");
                     testResult = -1;
                 }
             }
         }
 
-        /**--- Step 5j: Power off Primary core ---*/
+        /**--- Step 3i: Power off Primary core ---*/
         if (testResult == 0)
         {
             /* Power off Primary core */
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Primary core: Powering off %s \n",
+            UART_printf("  Primary core: Powering off %s \n",
                             LBIST_TestHandleArray[coreIndex].coreName);
 #endif
             status =  Sciclient_pmSetModuleState(LBIST_TestHandleArray[coreIndex].tisciDeviceId,
@@ -846,12 +574,11 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                  SCICLIENT_SERVICE_WAIT_FOREVER);
             if (status != CSL_PASS)
             {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   Primary core: Sciclient_pmSetModuleState: Power off FAILED \n");
+                UART_printf("   Primary core: Sciclient_pmSetModuleState: Power off FAILED \n");
             }
         }
 
-        /**--- Step 5k: Power off Auxilliary modules ---*/
+        /**--- Step 3j: Power off Auxilliary modules ---*/
         if (testResult == 0)
         {
             int i;
@@ -860,8 +587,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             for ( i = 0; i < LBIST_TestHandleArray[coreIndex].numAuxDevices; i++)
             {
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Powering off Device number %d Device Id %x\n",
+                UART_printf("  Powering off Device number %d Device Id %x\n",
                                 i,
                                 LBIST_TestHandleArray[coreIndex].auxDeviceIdsP[i]);
 #endif
@@ -872,8 +598,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                     SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
+                    UART_printf("  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
                                     LBIST_TestHandleArray[coreIndex].auxDeviceIdsP[i]);
                     testResult = -1;
                     break;
@@ -881,12 +606,11 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             }
         }
 
-        /**--- Step 5l: Take Primary core out of local reset ---*/
-        if ((testResult == 0) && (LBIST_TestHandleArray[coreIndex].tisciDeviceId != NULL))
+        /**--- Step 3k: Take Primary core out of local reset ---*/
+        if ((testResult == 0) && (LBIST_TestHandleArray[coreIndex].tisciDeviceId != 0U))
         {
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Primary core: Taking out of local reset the core %s \n",
+            UART_printf("  Primary core: Taking out of local reset the core %s \n",
                             LBIST_TestHandleArray[coreIndex].coreName);
 #endif
             status = Sciclient_pmSetModuleRst(LBIST_TestHandleArray[coreIndex].tisciDeviceId,
@@ -894,19 +618,17 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                               SCICLIENT_SERVICE_WAIT_FOREVER);
             if (status != CSL_PASS)
             {
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Sciclient_pmSetModuleRst 0x%x ...FAILED \n",
+                UART_printf("  Sciclient_pmSetModuleRst 0x%x ...FAILED \n",
                                 LBIST_TestHandleArray[coreIndex].tisciDeviceId);
                 testResult = -1;
             }
         }
 
-        /**--- Step 5m: Take Secondary core out of local reset ---*/
-        if ((testResult == 0) && (LBIST_TestHandleArray[coreIndex].tisciSecDeviceId != NULL))
+        /**--- Step 3l: Take Secondary core out of local reset ---*/
+        if ((testResult == 0) && (LBIST_TestHandleArray[coreIndex].tisciSecDeviceId != 0U))
         {
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Secondary core: Taking out of local reset the core %s \n",
+            UART_printf("  Secondary core: Taking out of local reset the core %s \n",
                             LBIST_TestHandleArray[coreIndex].secCoreName);
 #endif
             status = Sciclient_pmSetModuleRst(LBIST_TestHandleArray[coreIndex].tisciSecDeviceId,
@@ -914,14 +636,13 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                               SCICLIENT_SERVICE_WAIT_FOREVER);
             if (status != CSL_PASS)
             {
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Sciclient_pmSetModuleRst 0x%x ...FAILED \n",
+                UART_printf("  Sciclient_pmSetModuleRst 0x%x ...FAILED \n",
                                 LBIST_TestHandleArray[coreIndex].tisciSecDeviceId);
                 testResult = -1;
             }
         }
 
-        /**--- Step 5n: Take Auxilliary modules out of module reset ---*/
+        /**--- Step 3m: Take Auxilliary modules out of module reset ---*/
         if (testResult == 0)
         {
             int i;
@@ -930,8 +651,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             for ( i = 0; i < LBIST_TestHandleArray[coreIndex].numAuxDevices; i++)
             {
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Putting into module reset Device number %d Device Id %x\n",
+                UART_printf("  Putting into module reset Device number %d Device Id %x\n",
                                 i,
                                 LBIST_TestHandleArray[coreIndex].auxDeviceIdsP[i]);
 #endif
@@ -941,8 +661,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                   SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
+                    UART_printf("  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
                                     LBIST_TestHandleArray[coreIndex].auxDeviceIdsP[i]);
                     testResult = -1;
                     break;
@@ -950,13 +669,12 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             }
         }
 
-        /**--- Step 5o: Release Primary core ---*/
+        /**--- Step 3n: Release Primary core ---*/
         if ((testResult == 0) && (LBIST_TestHandleArray[coreIndex].tisciProcId !=0))
         {
             /* release processor Primary core */
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Primary core: Releasing %s \n",
+            UART_printf("  Primary core: Releasing %s \n",
                             LBIST_TestHandleArray[coreIndex].coreName);
 #endif
 
@@ -965,14 +683,13 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                         SCICLIENT_SERVICE_WAIT_FOREVER);
             if (status != CSL_PASS)
             {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   Primary core: Sciclient_procBootReleaseProcessor, ProcId 0x%x...FAILED \n",
+                UART_printf("   Primary core: Sciclient_procBootReleaseProcessor, ProcId 0x%x...FAILED \n",
                                 LBIST_TestHandleArray[coreIndex].tisciProcId);
                 testResult = -1;
             }
         }
 
-        /**--- Step 5p: Release Secondary core ---*/
+        /**--- Step 3o: Release Secondary core ---*/
         if (testResult == 0)
         {
             if ((LBIST_TestHandleArray[coreIndex].secondaryCoreNeeded)
@@ -980,8 +697,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             {
                 /* release processor Secondary core */
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Secondary core: Releasing %s \n",
+                UART_printf("  Secondary core: Releasing %s \n",
                                 LBIST_TestHandleArray[coreIndex].secCoreName);
 #endif
                 status = Sciclient_procBootReleaseProcessor(LBIST_TestHandleArray[coreIndex].tisciSecProcId,
@@ -989,75 +705,25 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                             SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "   Secondary core: Sciclient_procBootReleaseProcessor, ProcId 0x%x...FAILED \n",
+                    UART_printf("   Secondary core: Sciclient_procBootReleaseProcessor, ProcId 0x%x...FAILED \n",
                                     LBIST_TestHandleArray[coreIndex].tisciSecProcId);
                     testResult = -1;
                 }
             }
         }
 
-        /**--- Step 5q: Double check LBIST not running ---*/
-        if (testResult == 0)
-        {
-            status = CSL_LBIST_isRunning(pLBISTRegs, &isLBISTRunning);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL, "    CSL_LBIST_isRunning failed\n");
-                testResult = -1;
-            }
-            else
-            {
-                /* Make sure that the LBIST is not running */
-                if (isLBISTRunning == CSL_TRUE)
-                {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "\n   LBIST is found to be still running at the end of the test\n");
-                    testResult = -1;
-                }
-            }
-        }
-#if defined(PROFILE_LBIST_TIMING)
-        /* Here LBIST test is complete , get end time of test */
-        endTime = TimerP_getTimeInUsecs();
-#endif
-
-        /**--- Step 6: Check result of LBIST  ---*/
-        if (testResult == 0)
-        {
-            /* TODO: Temporarily hard coding to expected MISR */
-            expectedMISR = LBIST_TestHandleArray[coreIndex].expectedMISR;
-            if (calculatedMISR != expectedMISR)
-            {
-                AppUtils_Printf(MSG_NORMAL,
-                                "\n   LBIST failed with MISR mismatch: Expected 0x%x got 0x%x \n",
-                            expectedMISR, calculatedMISR);
-                testResult = -1;
-            }
-#if defined(PROFILE_LBIST_TIMING)
-            else
-            {
-                AppUtils_Printf(MSG_NORMAL, "\n   LBIST MISR matched \n");
-            }
-#endif
-        }
-
 #if defined(PROFILE_LBIST_TIMING)
         prepTime = testStartTime - startTime;
         diffTime = testEndTime - testStartTime;
         restoreTime = endTime - testEndTime;
 
-        AppUtils_Printf(MSG_NORMAL,
-                        "  Delta Cores prep time in micro secs %d \n",
+        UART_printf("  Delta Cores prep time in micro secs %d \n",
                         (uint32_t)prepTime);
-        AppUtils_Printf(MSG_NORMAL,
-                        "  Delta LBIST execution time in micro secs %d \n",
+        UART_printf("  Delta LBIST execution time in micro secs %d \n",
                         (uint32_t)diffTime);
-        AppUtils_Printf(MSG_NORMAL,
-                        "  Delta Cores restore time in micro secs %d \n",
+        UART_printf("  Delta Cores restore time in micro secs %d \n",
                         (uint32_t)restoreTime);
-        AppUtils_Printf(MSG_NORMAL,
-                        "  LBIST complete for %s \n",
+        UART_printf("  LBIST complete for %s \n",
                         LBIST_TestHandleArray[coreIndex].coreName);
 #endif
     } /* else clause of "if ((testResult == 0) &&
@@ -1066,8 +732,6 @@ int32_t LBIST_runTest(uint32_t coreIndex)
     return (testResult);
 }
 
-/* HW POST-related functions */
-
 const char *LBIST_hwPostStatusPrint(int32_t postStatus)
 {
     char *name;
@@ -1096,183 +760,3 @@ const char *LBIST_hwPostStatusPrint(int32_t postStatus)
 
     return name;
 }
-
-static int32_t LBIST_isPostLbistTimeout(uint32_t postStatMmrRegVal,
-                                        uint8_t section,
-                                        Bool *pIsTimedOut)
-{
-    int32_t status = CSL_PASS;
-    uint32_t shift;
-
-    if ((pIsTimedOut == NULL) || (section > LBIST_POST_CORE_MAX))
-    {
-        status = CSL_EBADARGS;
-    }
-    else
-    {
-        if (section == LBIST_POST_CORE_DMSC)
-        {
-            shift = CSL_WKUP_CTRL_MMR_CFG0_WKUP_POST_STAT_POST_DMSC_LBIST_TIMEOUT_SHIFT;
-        }
-        else if (section == LBIST_POST_CORE_MCU)
-        {
-            shift = CSL_WKUP_CTRL_MMR_CFG0_WKUP_POST_STAT_POST_MCU_LBIST_TIMEOUT_SHIFT;
-        }
-
-        *pIsTimedOut = ((postStatMmrRegVal >> shift) & 0x1u) ? CSL_TRUE : CSL_FALSE;
-    }
-
-    return status;
-}
-
-static int32_t LBIST_isPostLbistDone(uint32_t postStatMmrRegVal,
-                                     uint8_t section,
-                                     Bool *pIsDone)
-{
-    int32_t status = CSL_PASS;
-    uint32_t shift;
-
-    if ((pIsDone == NULL) || (section > LBIST_POST_CORE_MAX))
-    {
-        status = CSL_EBADARGS;
-    }
-    else
-    {
-        if (section == LBIST_POST_CORE_DMSC)
-        {
-            shift = CSL_WKUP_CTRL_MMR_CFG0_WKUP_POST_STAT_POST_DMSC_LBIST_DONE_SHIFT;
-        }
-        else if (section == LBIST_POST_CORE_MCU)
-        {
-            shift = CSL_WKUP_CTRL_MMR_CFG0_WKUP_POST_STAT_POST_MCU_LBIST_DONE_SHIFT;
-        }
-
-        *pIsDone = ((postStatMmrRegVal >> shift) & 0x1u) ? CSL_TRUE : CSL_FALSE;
-    }
-    return status;
-}
-
-static int32_t LBIST_runPostLbistCheck(uint32_t hwPostCoreNum,
-                                       CSL_lbistRegs *pLBISTRegs,
-                                       uint32_t *pLBISTSig)
-{
-    int32_t  status = 0;
-    uint32_t calculatedMISR;
-    uint32_t expectedMISR;
-    int32_t  postStatus = LBIST_POST_COMPLETED_SUCCESS;
-    uint32_t postRegVal;
-    Bool     LBISTResult;
-
-    /* Read HW POST status register */
-    postRegVal = CSL_REG32_RD(CSL_WKUP_CTRL_MMR0_CFG0_BASE +
-                              CSL_WKUP_CTRL_MMR_CFG0_WKUP_POST_STAT);
-
-    /* Check if HW POST LBIST was performed */
-    status = LBIST_isPostLbistDone(postRegVal, hwPostCoreNum, &LBISTResult);
-    if (status != CSL_PASS)
-    {
-        AppUtils_Printf(MSG_NORMAL,
-                        "   HW POST: LBIST_isPostLbistDone failed for LBIST core ID #%d\n",
-                        hwPostCoreNum);
-    }
-    else
-    {
-        if (LBISTResult != true)
-        {
-            /* HW POST: LBIST not completed, check if it timed out */
-            status = LBIST_isPostLbistTimeout(postRegVal,
-                                              hwPostCoreNum,
-                                              &LBISTResult);
-            if (LBISTResult != true)
-            {
-                /* HW POST: LBIST was not performed at all on this device
-                 * for this core */
-                postStatus = LBIST_POST_NOT_RUN;
-#ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "\n   HW POST: LBIST not run on this device for LBIST core ID #%d\n",
-                                hwPostCoreNum);
-#endif
-            }
-            else
-            {
-                /* HW POST: LBIST was attempted but timed out for this section */
-                postStatus = LBIST_POST_ATTEMPTED_TIMEOUT;
-#ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "\n   HW POST: LBIST failed with HW POST timeout for LBIST core ID #%d\n",
-                                hwPostCoreNum);
-#endif
-            }
-        }
-        else
-        {
-            /* Get the output MISR and the expected MISR */
-            if (status == 0)
-            {
-                status = CSL_LBIST_getMISR(pLBISTRegs, &calculatedMISR);
-                if (status != CSL_PASS)
-                {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "\n HW POST: Get MISR failed for LBIST core ID#%d\n",
-                                    hwPostCoreNum);
-                }
-            }
-
-            if (status == 0)
-            {
-                status = CSL_LBIST_getExpectedMISR(pLBISTSig, &expectedMISR);
-                if ( status != CSL_PASS)
-                {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "\n HW POST: Get Expected MISR failed for LBIST core ID#%d\n",
-                                    hwPostCoreNum);
-                }
-            }
-
-            if (status == 0)
-            {
-                /* Compare the results, and set failure if they do not match */
-#ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                " For HW POST LBIST core %d, Expected MISR= 0x%x, Calculated MISR = 0x%x\n",
-                                hwPostCoreNum,
-                                expectedMISR,
-                                calculatedMISR);
-#endif
-                if (calculatedMISR != expectedMISR)
-                {
-                    /* HW POST: LBIST was completed, but the test failed for this
-                     * core */
-                    postStatus = LBIST_POST_COMPLETED_FAILURE;
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "\n   HW POST: LBIST core ID#%d failed with MISR mismatch: Expected 0x%x got 0x%x\n",
-                                    hwPostCoreNum,
-                                    expectedMISR,
-                                    calculatedMISR);
-                }
-                else if ((calculatedMISR == 0) && (expectedMISR == 0))
-                {
-                    postStatus = LBIST_POST_INVALID_MISR_SEED_INPUT;
-#ifdef DEBUG
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "\n   HW POST: Device does not contain proper seed for MISR in eFuse - "\
-                                    "HW POST LBIST not supported on this device \n");
-#endif
-                }
-            } /* if (status == 0) */
-        } /* if (LBISTResult != true) */
-    } /* if (status != CSL_PASS) */
-
-    if (status == 0)
-    {
-        /* All function calls returned successfully */
-        return(postStatus);
-    }
-    else
-    {
-        /* Error in function calls */
-        return(status);
-    }
-}
-
diff --git a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/makefile b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/makefile
index 4d1e4df1cd827cf11ba8e87121cf91de65726670..031aeeb7ba7037ad07f0d4f6271bcf4472d04f00 100755
--- a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/makefile
+++ b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/makefile
@@ -22,9 +22,9 @@ HLOSBOOT ?= none
 DEVICETYPE ?= GP
 
 # BIST options are enabled or disabled
-BISTFUNC ?= disabled
+#BISTFUNC ?= disabled
 #Setting BISTFUNC to enabled is only supported on j721e
-#BISTFUNC ?= enabled
+BISTFUNC ?= enabled
 
 BUILD_OS_TYPE=tirtos
 
diff --git a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/pbist_utils.c b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/pbist_utils.c
old mode 100755
new mode 100644
index 61bdf8398bdbe67ba55f9b18eb98a8476435f9d9..1c3b1bc91e1a308911f05cd442d36d283c44dd4a
--- a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/pbist_utils.c
+++ b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/pbist_utils.c
@@ -1,6 +1,6 @@
 /*
 *
-* Copyright (c) 2020 Texas Instruments Incorporated
+* Copyright (c) 2022 Texas Instruments Incorporated
 *
 * All rights reserved not granted herein.
 *
@@ -69,10 +69,10 @@
 /* ========================================================================== */
 /*                             Include Files                                  */
 /* ========================================================================== */
-#include "Std_Types.h"
+#include <stdint.h>
 #include <string.h>
-#include <ti/csl/csl_types.h>
-#include <ti/csl/csl_pbist.h>
+#include <sdl_types.h>
+#include <src/sdl/sdl_pbist.h>
 #include <ti/csl/csl_rat.h>
 #include <ti/csl/csl_clec.h>
 #include <ti/csl/cslr_vpac.h>
@@ -81,11 +81,8 @@
 #include <ti/drv/uart/UART_stdio.h>
 #include <ti/drv/sciclient/sciclient.h>
 
-//#include <ti/csl/src/ip/sa/V3/cslr_cp_ace.h>
-#include <ti/csl/cslr_cp_ace.h>
 
 /* Osal API header files */
-#include <ti/osal/HwiP.h>
 #include <ti/osal/TimerP.h>
 
 #include "power_seq.h"
@@ -93,7 +90,7 @@
 #include "pbist_utils.h"
 #include "pbist_defs.h"
 
-#include "app_utils.h"
+//#include "app_utils.h"
 
 /* ========================================================================== */
 /*                           Macros & Typedefs                                */
@@ -108,23 +105,12 @@
 /* This flag gathers timing information for each PBIST test */
 //#define PROFILE_PBIST_TIMING
 
-/* POST Status definitions */
-#define PBIST_POST_COMPLETED_SUCCESS      (0u)
-#define PBIST_POST_COMPLETED_FAILURE      (1u)
-#define PBIST_POST_ATTEMPTED_TIMEOUT      (2u)
-#define PBIST_POST_NOT_RUN                (3u)
 
 /* ========================================================================== */
 /*                 Internal Function Declarations                             */
 /* ========================================================================== */
-void PBIST_eventHandler( uint32_t instanceId );
 
-static int32_t PBIST_isPostPbistTimeout(uint32_t postStatMmrRegVal,
-                                        Bool *pIsTimedOut);
-static int32_t PBIST_isPostPbistDone(uint32_t postStatMmrRegVal,
-                                     Bool *pIsDone);
-static int32_t PBIST_postCheckResult(uint32_t postStatMmrRegVal,
-                                     Bool *pResult);
+/* None */
 
 /* ========================================================================== */
 /*                         Structure Declarations                             */
@@ -153,37 +139,6 @@ static int32_t PBIST_postCheckResult(uint32_t postStatMmrRegVal,
 /* ========================================================================== */
 /*                          Function Definitions                              */
 /* ========================================================================== */
-void PBIST_eventHandler( uint32_t instanceId)
-{
-    CSL_ErrType_t status;
-
-    if (instanceId == PBIST_INSTANCE_C7X)
-    {
-        /* Clear C7x PBIST interrupt event in CLEC */
-        status = CSL_clecClearEvent((CSL_CLEC_EVTRegs *)CSL_COMPUTE_CLUSTER0_CLEC_REGS_BASE,
-                       CSLR_COMPUTE_CLUSTER0_CLEC_MSMC_EVENT_IN_COMPUTE_CLUSTER0_CORE_CORE_MSMC_INTR_12);
-        if (status != CSL_PASS) {
-            /* This is really not expected in normal operation:
-               Add exception if needed
-            */
-        }
-    }
-    if (instanceId == PBIST_INSTANCE_A72)
-    {
-        /* Clear A72 PBIST interrupt event in CLEC*/
-        status = CSL_clecClearEvent((CSL_CLEC_EVTRegs *)CSL_COMPUTE_CLUSTER0_CLEC_REGS_BASE,
-                       CSLR_COMPUTE_CLUSTER0_CLEC_MSMC_EVENT_IN_COMPUTE_CLUSTER0_CORE_CORE_MSMC_INTR_8);
-        if (status != CSL_PASS) {
-            /* This is really not expected in normal operation:
-               Add exception if needed
-            */
-        }
-    }
-
-    PBIST_TestHandleArray[instanceId].doneFlag = true;
-
-    return;
-}
 
 /* PBIST_setFirewall: Sets firewall settings to be able to access CLEC registers */
 static int32_t PBIST_setFirewall(void)
@@ -282,59 +237,77 @@ static int32_t PBIST_setFirewall(void)
     return retVal;
 }
 
+int32_t SDL_OSAL_getClecOutputEvent(uint32_t *clecOutputEvt)
+{
+    int32_t retVal = SDL_PASS;
 
-/* Captures common Initialization: currently initializes CLEC interrupt routing
-   for C7x & A72 */
-int32_t PBIST_commonInit(void)
+    *clecOutputEvt = CSLR_COMPUTE_CLUSTER0_CLEC_MSMC_EVENT_IN_COMPUTE_CLUSTER0_CORE_CORE_MSMC_INTR_12;
+
+    return retVal;
+}
+
+int32_t SDL_OSAL_releaseClecOutputEvent(uint32_t clecOutputEvt)
 {
-    CSL_ErrType_t status;
-    int32_t retValue = 0;
+    return SDL_PASS;
+}
+
+/* CLEC configuration for C7X and A72 instances */
+int32_t PBIST_clecConfig(uint32_t instance)
+{
+    SDL_ErrType_t status = SDL_EFAIL;
     CSL_ClecEventConfig evtCfg;
 
-    /* Add firewall entry to gain access to CLEC registers */
-    status = PBIST_setFirewall();
-    if (status != CSL_PASS)
-    {
-        AppUtils_Printf(MSG_NORMAL, " PBIST_setFirewall failed \n");
-        retValue = -1;
-    }
+    evtCfg.secureClaimEnable = 1U;
+    evtCfg.evtSendEnable = 1U;
+    evtCfg.rtMap = 2U;
+    evtCfg.c7xEvtNum = 0U;
 
-    if (retValue == 0)
+    if (PBIST_TestHandleArray[instance].pbistInst == SDL_PBIST_INST_A72)
     {
-        evtCfg.secureClaimEnable = 1U;
-        evtCfg.evtSendEnable = 1U;
         evtCfg.extEvtNum = CSLR_COMPUTE_CLUSTER0_CLEC_MSMC_EVENT_IN_COMPUTE_CLUSTER0_CORE_CORE_MSMC_INTR_12;
-        evtCfg.rtMap = 2U;
-        evtCfg.c7xEvtNum = 0U;
-
-        /* Configure interrupt router to take care of routing C7x PBIST interrupt event */
+        /* Configure interrupt router to take care of routing A72 PBIST interrupt event */
         status =  CSL_clecConfigEvent((CSL_CLEC_EVTRegs *)CSL_COMPUTE_CLUSTER0_CLEC_REGS_BASE,
-                                      CSLR_COMPUTE_CLUSTER0_CLEC_MSMC_EVENT_IN_COMPUTE_CLUSTER0_CORE_CORE_MSMC_INTR_12,
+                                      CSLR_COMPUTE_CLUSTER0_CLEC_MSMC_EVENT_IN_COMPUTE_CLUSTER0_CORE_CORE_MSMC_INTR_8,
                                       &evtCfg);
         if (status != CSL_PASS)
         {
-            AppUtils_Printf(MSG_NORMAL, " CSL_clecConfigEvent C7x failed \n");
-            retValue = -1;
+            UART_printf(" CSL_clecConfigEvent A72 failed \n");
         }
     }
-
-    if (retValue == 0)
+    else if (PBIST_TestHandleArray[instance].pbistInst == SDL_PBIST_INST_C7X)
     {
-        evtCfg.extEvtNum = CSLR_COMPUTE_CLUSTER0_CLEC_MSMC_EVENT_IN_COMPUTE_CLUSTER0_CORE_CORE_MSMC_INTR_8;
-        /* Configure interrupt router to take care of routing A72 PBIST interrupt event */
+        evtCfg.extEvtNum = CSLR_COMPUTE_CLUSTER0_CLEC_MSMC_EVENT_IN_COMPUTE_CLUSTER0_CORE_CORE_MSMC_INTR_12;
+        /* Configure interrupt router to take care of routing C7x PBIST interrupt event */
         status =  CSL_clecConfigEvent((CSL_CLEC_EVTRegs *)CSL_COMPUTE_CLUSTER0_CLEC_REGS_BASE,
-                                      CSLR_COMPUTE_CLUSTER0_CLEC_MSMC_EVENT_IN_COMPUTE_CLUSTER0_CORE_CORE_MSMC_INTR_8,
+                                      CSLR_COMPUTE_CLUSTER0_CLEC_MSMC_EVENT_IN_COMPUTE_CLUSTER0_CORE_CORE_MSMC_INTR_12,
                                       &evtCfg);
         if (status != CSL_PASS)
         {
-            AppUtils_Printf(MSG_NORMAL, " CSL_clecConfigEvent A72 failed \n");
-            retValue = -1;
+            UART_printf(" CSL_clecConfigEvent C7x failed \n");
         }
     }
 
     return status;
 }
 
+/* Captures common Initialization: currently initializes CLEC interrupt routing
+   for C7x & A72 */
+int32_t PBIST_commonInit(void)
+{
+    CSL_ErrType_t status;
+    int32_t retValue = 0;
+
+    /* Add firewall entry to gain access to CLEC registers */
+    status = PBIST_setFirewall();
+    if (status != CSL_PASS)
+    {
+        UART_printf( " PBIST_setFirewall failed \n");
+        retValue = -1;
+    }
+
+    return status;
+}
+
 
 /* This function runs the full PBIST test for a particular section.
  * It includes the following steps (each step has many sub-steps specificied
